Skip to navigation

Update Member Role

View as Markdown

Update a non-owner member’s role.

Allowed roles:

  • owner

Path params:

  • firm_slug (string)
  • user_id (int)

Required fields:

  • role (string) — one of owner | ca_staff | client

Response:

  • id (int)
  • firm_id (int)
  • user_id (int)
  • role (string)

Errors:

  • 401: Missing/invalid token
  • 403: Forbidden
  • 404: Firm or membership not found
  • 409: Cannot demote firm owner role
  • 422: Validation error

Authentication

Authorizationstring
API Key authentication via header

Path parameters

user_idintegerRequired
firm_slugstringRequired3-64 characters

Request

This endpoint expects an object.
roleenumRequired

Role of a user within a Firm (tenant).

Allowed values:

Response

Successful Response
dataobject
statusstringOptionalDefaults to success

Errors

422
Unprocessable Entity Error